package com.jw.app.business.unit;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.RowBounds;

import com.gaowj.business.exception.BusinessException;

public interface UnitDAO {
	
	void insert_unit(Map<String,Object> entity) throws BusinessException ;
	
	void update_unit(Map<String,Object> entity) throws BusinessException ;
	
	void delete_unit(List<String> list) throws BusinessException;
	
    List<Map<String,Object>> list_unit(RowBounds rowbounds, Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_unit(Map<String,Object> query) throws BusinessException ;
    
    int listCount_unit(Map<String, Object> query) throws BusinessException ; 
    
    List<Map<String,Object>> list_delete_unit(List<String> list) throws BusinessException;
    
    List<Map<String,Object>> list_name_unit(List<String> list) throws BusinessException;
   
    int list_max_order(Map<String, Object> query) throws BusinessException ; 
    
    List<Map<String,Object>> list_uuid_order(Map<String,Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_unit_ldap() throws BusinessException;
    
    Map<String, Object> list_unit_ldap_ou(String query) throws BusinessException;
    
    Map<String, Object> list_unit_ldap_uuid(String query) throws BusinessException;
    
    List<Map<String,Object>> list_unit_ldap_deletekey() throws BusinessException;
    
    List<Map<String,Object>> listAllUnit() throws BusinessException;
    
    List<Map<String,Object>> listUnitReceive(String query) throws BusinessException;
    
    List<Map<String, Object>> listUnitPush(Map<String, Object> query) throws BusinessException;
    /**
     * 用户是否在某些权限group中  user_id   groupList
     */
    int userGroup(Map<String , Object>query)throws BusinessException ;
}
